﻿@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<style>
    h2{
        width:100%;
        text-align: center;
        padding: 10px 20px;
        margin-bottom: 10px;
        text-transform: uppercase;
    }
</style>
<h2><strong>Đặt hàng</strong></h2>
<form class="form-order">
    <table class="table table-bordered">
        <tbody>
            <tr>
                <td>Order name</td>
                <td><input type="text" name="OrderName" class="form-control" id="orderName" /></td>
            </tr>
            <tr>
                <td>Product</td>
                <td>
                    <select class="form-control" name="product" id="product">
                    </select>
                </td>
            </tr>
            <tr>
                <td>Customer</td>
                <td>
                    <select class="form-control" name="customer" id="customer">
                    </select>
                </td>
            </tr>
            <tr>
                <td>Order date</td>
                <td><input type="date" class="form-control" name="orderDate" id="orderDate" /></td>
            </tr>
            <tr>
                <td>Amount</td>
                <td><input type="number" class="form-control" name="amount" id="amount" /></td>
            </tr>
            <tr>
                <td></td>
                <td><button id="btnSubmit" class="btn btn-primary" type="button" onclick="CreateOrder()">Create order</button></td>
            </tr>
        </tbody>
    </table>
</form>
<script src="~/js/Services/ProductService.js" asp-append-version="true"></script>
<script src="~/js/Services/OrderService.js" asp-append-version="true"></script>
<script src="~/js/Services/CustomerService.js" asp-append-version="true"></script>
<script>
    var objProduct = {
        productName: "",
        pageNumber: 1,
        pageSize: 10,
    }
    GetListProduct(JSON.stringify(objProduct)).then(res => {
        let optionStr = "";
        res.data.forEach(e => {
            optionStr += `<option value="${e.productId}">${e.name}</option>`;
        })
        $("#product").html(optionStr);
    }).then(err => {

    })
    var objCustomer = {
        //customerName: "",
        pageNumber: 1,
        pageSize: 10,
    }
    GetListCustomer(JSON.stringify(objProduct)).then(res => {
        let optionStr = "";
        res.data.forEach(e => {
            optionStr += `<option value="${e.customerId}">${e.name}</option>`;
        })
        $("#customer").html(optionStr);
    }).then(err => {

    })
    
</script>
